Eclipse Draw2d 3.3

## org.eclipse.draw2d
Class FlowLayout.WorkingData

    java.lang.Object
      org.eclipse.draw2d.FlowLayout.WorkingData

Enclosing class:
  FlowLayout

protected class FlowLayout.WorkingData
extends java.lang.Object

Holds the necessary information for layout calculations.

Field Summary
`Rectangle` `area`
`Rectangle[]` `bounds`
`int` `maxWidth`
`IFigure[]` `row`
`int` `rowCount`
`int` `rowHeight`
`int` `rowWidth`
`int` `rowX`
`int` `rowY`

Constructor Summary
`protected` `FlowLayout.WorkingData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rowHeight

    public int rowHeight

### rowWidth

    public int rowWidth

### rowCount

    public int rowCount

### rowX

    public int rowX

### rowY

    public int rowY

### maxWidth

    public int maxWidth

### bounds

    public Rectangle[] bounds

### area

    public Rectangle area

### row

    public IFigure[] row

Constructor Detail

### FlowLayout.WorkingData

    protected FlowLayout.WorkingData()

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.